// creator  : weidu.exe (version 23100)
// argument : IRONM2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~IRONM2~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7654 /* ~I care little, but if people look my way suspiciously I have no recourse but to help.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~NumTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #7655 /* ~And what does 'proving otherwise' involve? Must I watch my back in dark corners?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 3 even though they appear after this state */
~True()
~ THEN BEGIN 2 // from:
  SAY #7656 /* ~And I am <CHARNAME>. You seem more a military man than a 'High Merchant'.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #7657 /* ~My reputation is undeserved. Tell me what is wrong and perhaps I can help you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #9206 /* ~Why, Lord Keldorn! It has been well over a month since last I saw your face.~ */
  IF ~~ THEN EXIT
END
